package org.dyndns.nuda.mapper.event;

/**
 * SQLインタフェースイベントを捕捉するためのリスナインタフェースです
 * 
 * @author nkoseki
 * 
 * @param <T>
 *            SQLインタフェースイベント型
 */
public interface SQLInterfaceEventListener<T extends SQLInterfaceEvent> {
	
	/**
	 * SQLインタフェースを捕捉した場合にこのメソッドが起動されます
	 * 
	 * @param event
	 *            SQLインタフェースイベント
	 */
	public void handle(T event);
}
